CONVERT2BED(1)

NAME
convert2bed - manual page for convert2bed 2.4.42+dfsg

DESCRIPTION
convert2bed

version:
    2.4.42

author:
    Alex Reynolds

    Usage:

    $ convert2bed --input=fmt [--output=fmt] [options] < input > output

    Convert BAM, GFF, GTF, GVF, PSL, RepeatMasker (OUT), SAM, VCF and WIG genomic formats to BED or BEDOPS Starch (compressed BED)

    Input can be a regular file or standard input piped in using the hyphen character ('-'):

    $ some_upstream_process ... | convert2bed --input=fmt - > output

    Input (required):

--input=[bam|gff|gtf|gvf|psl|rmsk|sam|vcf|wig] (-i <fmt>)

    Genomic format of input file (required)

    Output:

--output=[bed|starch] (-o <fmt>)

    Format of output file, either BED or BEDOPS Starch (optional, default is BED)

    Other processing options:

--do-not-sort (-d)

    Do not sort BED output with sort-bed (not compatible with --output=starch)

--max-mem=<value> (-m <val>)

    Sets aside <value> memory for sorting BED output. For example, <value> can be 8G, 8000M or 8000000000 to specify 8 GB of memory (default is 2G)

--sort-tmpdir=<dir> (-r <dir>)

    Optionally sets [dir] as temporary directory for sort data, when used in conjunction with --max-mem=[value], instead of the host's operating system default temporary directory

--starch-bzip2 (-z)

    Used with --output=starch, the compressed output explicitly applies the bzip2 algorithm to compress intermediate data (default is bzip2)

--starch-gzip (-g)

    Used with --output=starch, the compressed output applies gzip compression on intermediate data

--starch-note="xyz..." (-e "xyz...")

    Used with --output=starch, this adds a note to the Starch archive metadata

--help | --help[-bam|-gff|-gtf|-gvf|-psl|-rmsk|-sam|-vcf|-wig] (-h | -h <fmt>)

    Show general help message (or detailed help for a specified input format)

--version (-w)

    Show application version

SEE ALSO
The full documentation for convert2bed is maintained as a Texinfo manual. If the info and convert2bed programs are properly installed at your site, the command

    info convert2bed

should give you access to the complete manual.